Bug 690908 - [abrt] gdb-7.2-46.fc14: get_frame_type: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
Summary: [abrt] gdb-7.2-46.fc14: get_frame_type: Process /usr/bin/gdb was killed by si...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d1ad129a131ea06ecfab8cbfc50...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-25 18:44 UTC by John Reiser
Modified: 2011-04-12 21:25 UTC (History)
4 users (show)

Fixed In Version: gdb-7.2-51.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-12 21:25:53 UTC


Attachments (Terms of Use)
File: backtrace (12.67 KB, text/plain)
2011-03-25 18:44 UTC, John Reiser
no flags Details

Description John Reiser 2011-03-25 18:44:46 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 12979 bytes
cmdline: gdb upx.out
component: gdb
Attached file: coredump, 20230144 bytes
crash_function: get_frame_type
executable: /usr/bin/gdb
kernel: 2.6.35.11-83.fc14.x86_64
package: gdb-7.2-46.fc14
rating: 4
reason: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1301078289
uid: 500

comment
-----
(gdb) list
 141	    if (!isOpen() || len < 0)
 142	        throwIOException("bad read");
 143	    errno = 0;
 144	    long l = acc_safe_hread(_fd, buf, len);
 145	    if (errno)
*146	        throwIOException("read error",errno);
 147	    return (int) l;
 148	}
149	
150	
(gdb) p errno
Segmentation fault (core dumped)

How to reproduce
-----
1. (gdb) p errno
2.
3.

Comment 1 John Reiser 2011-03-25 18:44:48 UTC
Created attachment 487642 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-29 10:02:22 UTC
gdb-7.2-51.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-51.fc14

Comment 3 Jan Kratochvil 2011-03-29 10:02:52 UTC
+gdb-7.2.50.20110328-32.fc15

Comment 4 Fedora Update System 2011-03-29 19:52:47 UTC
Package gdb-7.2-51.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.2-51.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gdb-7.2-51.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-04-12 21:25:48 UTC
gdb-7.2-51.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.